include "ReportLib.fun";
string Report = "ReportCheck.htm";
string Name;
string Text;

ReportAddTitle(Report, "This is the Title");
ReportAddHeader(Report, "Summary");
ReportAdd(Report, "This is a quick demo of how the Report library works.");
ReportAdd(Report, "This library has a collection of specific function calls which will allow users to quickly and easily put together HTML based reports of test executions for post test analysis.");
ReportAdd(Report, "The library allows for Failed and Passed checkpoints to be documented, with appropriate color coding to differentiate between the two of them quickly.");
ReportAdd(Report, "The library also comes with a helper app and collection of functions to incorporate screeshots taken during the testing process.  These screenshots can be either of the entire desktop, or of the currently active window.");
ReportAddHeader(Report, "Demonstration");
ReportAddSubHeader(Report, "Checkpoints");
ReportAddPass(Report, "This is a passed checkpoint, and the real test is whether or not a long string like this can ultimately be dropped into the report and still look good, even though it does not word wrap in the editor");
ReportAddFail(Report, "This is a failed checkpoint");
ReportAddSubHeader(Report, "Text Formatting");
ReportAddHeader(Report, "This is a header");
ReportAddSubHeader(Report, "This is a subheader");
Name = "Step Name: ";
Name = ReportBold(Name);
Text = Concat(Name, "This is just plain text.");
ReportAdd(Report, Text);
ReportAddSubHeader(Report, "These are screenshots.")
ReportAdd(Report, "This is the currently active window");
ReportAddScreen(Report, "ActiveWindow.jpg");
ReportAdd(Report, "");
ReportAdd(Report, "This is the entire desktop");
ReportAddDesktop(Report, "EntireDesktop.jpg");
ReportAdd(Report, "");
ReportAdd(Report, "Another advantage to generating reports in HTML is that they can be immediately accessable to all stakeholder, either through simple storage on a shared network drive, or via some electronic document storage medium.");
ReportAdd(Report, "<BR>Also, they can be quickly published to online realtime result montoring web sites for further visibility if you so desire.");
